# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define _requires_exceptions devel(
%define _disable_ld_no_undefined 1

Name: x11-driver-video-intel
Version: 2.21.6
Release: %mkrel 2
Summary: X.org driver for Intel graphics controllers
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-intel-%{version}.tar.bz2
License: MIT

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libdrm-devel >= 2.4.22
BuildRequires: libxvmc-devel >= 1.0.1
BuildRequires: xcb-util-devel
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.6.1-3
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel
BuildRequires: libudev-devel
Requires(post): update-alternatives >= 1.9.0
Requires(postun): update-alternatives >= 1.9.0
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Suggests: vaapi-driver-intel

Conflicts: xorg-x11-server < 7.0
Obsoletes: x11-driver-video-intel13 <= 1.9.94

Obsoletes: x11-driver-video-i810
Obsoletes: x11-driver-video-i810-downscaling
Obsoletes: x11-driver-video-intel-fast-i830

# upstream fixes
Patch001: xf86-video-intel-Add-all-reserved-PCI-IDs-for-Haswell.patch

# Mandriva patches
Patch100: 0100-Mandriva-fix-check-vt-switch.patch
# (cg) Disable for now as it hits an assert on Xserver 1.9
#Patch101: 0101-fix-NoneBG-support.patch

%description
x11-driver-video-intel is the X.org driver for Intel video chipsets.

%prep
%setup -q -n xf86-video-intel-%{version}

%apply_patches

%build
%configure2_5x --enable-sna
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_libdir}/xorg/modules/drivers/i810_drv.*
rm -f %{buildroot}%{_mandir}/man4/i810.4*

mkdir -p %{buildroot}%{_libdir}/xorg/modules/drivers/intel-common
mv %{buildroot}%{_libdir}/xorg/modules/drivers/intel_drv.* %{buildroot}%{_libdir}/xorg/modules/drivers/intel-common

%clean
rm -rf %{buildroot}

# (cg) NB. Alternatives are used here due to the use of a now obsoleted
# fast-i830 subpackage for some netbook chipsets.
# The alternatives system currently remains but only one pacakge will provide
# the 'alternative'. I will leave this in place for a while just incase
# we need to resurrect a chip-specific package again in the near future
# but if it proves unnecessary it should be tidied up.

# use posttrans so that files from old package are removed first
%posttrans
%{_sbindir}/update-alternatives \
  --install %{_libdir}/xorg/modules/drivers/intel_drv.so x11-intel-so %{_libdir}/xorg/modules/drivers/intel-common/intel_drv.so 20 \
  --slave   %{_libdir}/xorg/modules/drivers/intel_drv.la x11-intel-la %{_libdir}/xorg/modules/drivers/intel-common/intel_drv.la

%postun
[ $1 = 0 ] || exit 0
%{_sbindir}/update-alternatives --remove x11-intel-so %{_libdir}/xorg/modules/drivers/intel-common/intel_drv.so

%files
%defattr(-,root,root)
%{_libdir}/libI810XvMC.la
%{_libdir}/libI810XvMC.so
%{_libdir}/libI810XvMC.so.1
%{_libdir}/libI810XvMC.so.1.0.0
%{_libdir}/libIntelXvMC.la
%{_libdir}/libIntelXvMC.so
%{_libdir}/libIntelXvMC.so.1
%{_libdir}/libIntelXvMC.so.1.0.0
%dir %{_libdir}/xorg/modules/drivers/intel-common
%{_libdir}/xorg/modules/drivers/intel-common/intel_drv.*
#%{_libdir}/xorg/modules/drivers/ch7017.*
#%{_libdir}/xorg/modules/drivers/ch7xxx.*
#%{_libdir}/xorg/modules/drivers/ivch.*
#%{_libdir}/xorg/modules/drivers/sil164.*
#%{_libdir}/xorg/modules/drivers/tfp410.*
%{_mandir}/man4/intel.4*




%changelog

* Thu May 02 2013 tmb <tmb> 2.21.6-2.mga3
+ Revision: 412025
- Add all reserved PCI-IDs for Haswell

* Sun Apr 07 2013 tmb <tmb> 2.21.6-1.mga3
+ Revision: 408718
- 2.21.6 (maintenance, bugfixes)

* Sat Mar 23 2013 tmb <tmb> 2.21.5-1.mga3
+ Revision: 404650
- 2.21.5 (bugfixes, haswell improvements)

* Fri Mar 15 2013 tmb <tmb> 2.21.4-1.mga3
+ Revision: 403297
- 2.21.4 (maintenance & bugfixes)

* Thu Feb 21 2013 tmb <tmb> 2.21.3-1.mga3
+ Revision: 399648
- 2.21.3 (bugfixes)

* Sun Feb 10 2013 tmb <tmb> 2.21.2-1.mga3
+ Revision: 397766
- 2.21.2: bugfixes

* Thu Feb 07 2013 tmb <tmb> 2.21.0-1.mga3
+ Revision: 395015
- 2.21.0: improved haswell support, bugfixes

* Sun Jan 20 2013 tmb <tmb> 2.20.19-1.mga3
+ Revision: 390140
- 2.20.19 (bugfixes)

* Wed Jan 16 2013 tmb <tmb> 2.20.18-1.mga3
+ Revision: 388790
- 2.20.18 (bugfix & maintenance release)

* Mon Jan 14 2013 umeabot <umeabot> 2.20.17-2.mga3
+ Revision: 385986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 tv <tv> 2.20.17-1.mga3
+ Revision: 335396
- new release

* Sat Dec 15 2012 tv <tv> 2.20.16-1.mga3
+ Revision: 331092
- new release

* Mon Dec 03 2012 tv <tv> 2.20.15-1.mga3
+ Revision: 325919
- new release

* Mon Nov 26 2012 tv <tv> 2.20.14-1.mga3
+ Revision: 322099
- new release

* Sun Nov 11 2012 tv <tv> 2.20.13-1.mga3
+ Revision: 317065
- new release

* Sat Oct 20 2012 tv <tv> 2.20.12-1.mga3
+ Revision: 308486
- new release

* Sat Oct 20 2012 tv <tv> 2.20.11-1.mga3
+ Revision: 308420
- new release

* Sun Oct 14 2012 tv <tv> 2.20.10-1.mga3
+ Revision: 305547
- new release

* Sat Sep 29 2012 tmb <tmb> 2.20.9-1.mga3
+ Revision: 300141
- drop P0 (merged)

  + tv <tv>
    - new release

* Mon Sep 24 2012 tmb <tmb> 2.20.8-2.mga3
+ Revision: 297018
- Reorder INTEL_XVMC define so that we pick up Option XvMC (P0, upstream)

* Sun Sep 16 2012 tv <tv> 2.20.8-1.mga3
+ Revision: 294378
- new release
- new release

* Sat Sep 08 2012 tv <tv> 2.20.7-1.mga3
+ Revision: 290581
- new release

* Thu Sep 06 2012 tv <tv> 2.20.6-2.mga3.nonfree
+ Revision: 288933
- rebuild for new xserver

* Sun Sep 02 2012 tv <tv> 2.20.6-1.mga3
+ Revision: 287324
- new release

* Sun Aug 26 2012 tv <tv> 2.20.5-1.mga3
+ Revision: 284278
- new release

* Sun Aug 19 2012 tmb <tmb> 2.20.4-1.mga3
+ Revision: 282071
- update to 2.20.4

* Sat Aug 04 2012 tv <tv> 2.20.3-1.mga3
+ Revision: 278433
- new release

* Fri Jul 27 2012 tmb <tmb> 2.20.2-1.mga3
+ Revision: 274939
- update to 2.20.2

* Mon Jul 23 2012 tv <tv> 2.20.1-1.mga3
+ Revision: 273665
- new release

* Sat Jul 21 2012 tmb <tmb> 2.20.0-1.mga3
+ Revision: 272976
- update to 2.20.0

* Thu Jul 19 2012 tmb <tmb> 2.19.0-9.mga3
+ Revision: 272402
- rebuild for new glibc

* Fri Jun 29 2012 tv <tv> 2.19.0-8.mga3
+ Revision: 265124
- enable SNA (default is still UXA, use Option "AccelMethod" to switch)

* Fri Jun 29 2012 colin <colin> 2.19.0-7.mga3
+ Revision: 264947
- Rebuild against new libudev major

* Wed Jun 06 2012 tmb <tmb> 2.19.0-6.mga3
+ Revision: 256409
- rebuild for core/release

* Sun Jun 03 2012 fwang <fwang> 2.19.0-5.mga3
+ Revision: 253735
- rebuild for new xcb-util

* Fri Jun 01 2012 tv <tv> 2.19.0-4.mga3
+ Revision: 252965
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 2.19.0-3.mga3
+ Revision: 249804
- rebuild for new X.org server
- rebuild for new X.org server
- bump release
- fix ussues with new cairo

* Thu May 10 2012 tmb <tmb> 2.19.0-2.mga3
+ Revision: 235096
- push to release

* Wed May 02 2012 tmb <tmb> 2.19.0-1.mga2
+ Revision: 234487
- 2.19.0 (Sandy Bridge and Ivy Bridge stability fixes)

* Tue Mar 06 2012 anssi <anssi> 2.18.0-2.mga2
+ Revision: 219434
- add Suggests on vaapi-driver-intel

* Fri Feb 24 2012 tv <tv> 2.18.0-1.mga2
+ Revision: 213923
- new release

* Tue Dec 06 2011 tmb <tmb> 2.17.0-3.mga2
+ Revision: 177440
- submit to core/release

* Thu Nov 17 2011 tv <tv> 2.17.0-2.mga2
+ Revision: 168332
- rebuild for xserver-1.12

* Thu Nov 17 2011 tv <tv> 2.17.0-1.mga2
+ Revision: 168327
- new release

* Sat Oct 08 2011 tv <tv> 2.16.0-3.mga2
+ Revision: 153302
- really rebuild for xserver-1.11

* Sat Oct 08 2011 colin <colin> 2.16.0-2.mga2
+ Revision: 153028
- Rebuild for new x11-server
- Remove patches already included upstream

  + tv <tv>
    - new release
    - new prerelease

* Wed Jul 13 2011 ahmad <ahmad> 2.15.0-3.mga2
+ Revision: 123756
- Add two patches from upstream GIT to fix an X server crash in KDE4
  https://bugs.freedesktop.org/show_bug.cgi?id=36319
  should fix (mga#2067)

* Wed Jul 06 2011 fwang <fwang> 2.15.0-2.mga2
+ Revision: 119374
- rebuild for new xcb-util

* Thu Apr 14 2011 tv <tv> 2.15.0-1.mga1
+ Revision: 85152
- new release

* Tue Apr 12 2011 tv <tv> 2.14.903-1.mga1
+ Revision: 83586
- new RC

* Mon Apr 04 2011 colin <colin> 2.14.902-1.mga1
+ Revision: 80291
- New RC

* Fri Mar 04 2011 tv <tv> 2.14.901-1.mga1
+ Revision: 64453
- new release

* Fri Mar 04 2011 tv <tv> 2.14.0-2.mga1
+ Revision: 64398
- rebuild for new xserver-1.10

* Sun Jan 23 2011 blino <blino> 2.14.0-1.mga1
+ Revision: 35224
- imported package x11-driver-video-intel

